#!/bin/bash
###########################################################################
# Eole NG - 2007
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# gen_databases.sh
#
# Génération/Vérification des bases de données Scribe
#
###########################################################################

# Applications gérées par le Scribe :
# - squirrelmail
# - sympa
# - spip-eva
# - gibii (5.1)
# - gepi

. ParseDico
mysql=/var/lib/mysql
PASS=`/usr/bin/pwgen -1`

if [ -d $mysql/squirrelmail -a -f $mysql/sympa/user_table.frm -a -d $mysql/eva3 -a -d $mysql/gepi -a -d $mysql/gibii53 ]
then
	# toutes les bases sont présentes
	/usr/share/eole/mysql_pwd.py "$PASS"
else
	# il manque des bases !
	/usr/share/eole/mysql_pwd.py "$PASS" nomodif >/dev/null
	sleep 1

	## SYMPA
	if [ ! -f $mysql/sympa/user_table.frm ]
	then
		rm -rf $mysql/sympa
	        mysql --password="$PASS" < /usr/share/doc/sympa/examples/db/create_db.mysql
	        mysql --password="$PASS" -e "grant select,insert,update,delete,alter ON sympa.* TO sympa@localhost IDENTIFIED BY 'sympa';"
	fi
	if [ ! -d /etc/sympa/i-$domaine_messagerie_etab ]
	then
	        mkdir -p /etc/sympa/i-$domaine_messagerie_etab
	        chown sympa.sympa /etc/sympa/i-$domaine_messagerie_etab
	fi
	if [ ! -d /var/lib/sympa/expl/i-$domaine_messagerie_etab ]
	then
	        mkdir -p /var/lib/sympa/expl/i-$domaine_messagerie_etab
	        chown sympa.sympa /var/lib/sympa/expl/i-$domaine_messagerie_etab
	        # alias pour mail sympa
	        echo "sympa: \"|/usr/lib/sympa/bin/queue sympa\"" >> /etc/mail/sympa_aliases
	        chown sympa:sympa /etc/mail/sympa_aliases
	        chmod 644 /etc/mail/sympa_aliases
	        # listes de diffusion professeurs et eleves (en i-etab)
		python -c "from scribe import backend;backend.add_maillist('professeurs', 'restreint')"
		python -c "from scribe import backend;backend.add_maillist('eleves', 'restreint')"
	fi
	
	## SQUIRRELMAIL
	if [ ! -d $mysql/squirrelmail ]
	then
	        mysql --password="$PASS" < /etc/sysconfig/eole/squirrelmail.sql
	fi
	
	## GIBII5
	if [ ! -d $mysql/gibii53 ]
	then
	        mysql --password="$PASS" < /etc/sysconfig/eole/scribe-gibii53.sql
	fi
	
	## EVA2
	if [ ! -d $mysql/eva3 ]
	then
	        mysql --password="$PASS" < /etc/sysconfig/eole/scribe-eva3.sql
	fi

	## GEPI
	if [ ! -d $mysql/gepi ]
	then
	        mysql --password="$PASS" < /etc/sysconfig/eole/scribe-gepi.sql
	fi

	# Mise à niveau des mots de passe
	PASS=`/usr/bin/pwgen -1`
	/usr/share/eole/mysql_pwd.py "$PASS"
fi
