#!/bin/bash

############################
# reconf-scribe.sh
# instructions spécifiques
# pour la reconfiguration 
# du module Scribe
############################

# Appel Bibliothèque
. ParseDico

echo -e "\n## gestion du mot de passe LDAP ##"
/usr/share/eole/backend/ldap_pwd.py `/usr/bin/pwgen -1`> /dev/null

# pour les serveurs lents
sleep 1

echo -e "\n## gestion du SID ##"
net setlocalsid `ldapsearch -x sambaDomainName=* | grep sambaSID | awk -F " " '{print $2}'`
/usr/share/eole/set_sid.sh

echo -e "\n## génération de la configuration Samba ##"
/usr/share/eole/backend/synchro_file.py norestart

echo
# vérification des bases de données
/usr/share/eole/gen_databases.sh
echo

## re-création de l'utilisateur admin
id admin &>/dev/null
if [ $? -ne 0 ]
then
	/usr/share/eole/backend/creation-prof.py -u admin -c autre -m admin -p admin -f admin -M 'local' -z 1 -G DomainAdmins,PrintOperators -q 0 -x 1 > /dev/null
	# le mot de passe doit être changé à la prochaine connexion
	/usr/bin/net sam set pwdmustchangenow admin yes
        tput setaf 3; echo -n "L'utilisateur "
        tput smso; echo -n admin; tput rmso
        tput setaf 3; echo -n " a été re-créé avec le mot de passe "
        tput setaf 8; echo "admin"
        tput setaf 3; echo "Le système demandera son changement à la prochaine ouverture de session"
        tput sgr0

fi

# FIXME On relance le script de firewall
#/usr/sbin/lance.firewall

# copie du fichier de conf du domaine interne SYMPA
if [ ! -d /etc/sympa/i-$domaine_messagerie_etab ]
then
	echo "ATTENTION ! Le domaine de messagerie semble avoir changé"
	echo "Des dysfonctionnements sont possibles..."
	echo
	mkdir -p /etc/sympa/i-$domaine_messagerie_etab
	chown sympa.sympa /etc/sympa/i-$domaine_messagerie_etab
fi
mv /tmp/robot.conf /etc/sympa/i-$domaine_messagerie_etab/
